/***************************************************************************
 * 
 * Copyright (c) 2018 Baidu.com, Inc. All Rights Reserved
 * 
 **************************************************************************/

/**
 * @brief demo
 *
 **/

#include <iostream>
#include <sstream>
#include "easyedge/easyedge.h"

using namespace easyedge;

int main(int argc, char *argv[]) {

    if (argc < 3) {
        std::cerr << "Usage: ./easyedge_serving {res_dir} {serial_key} {host, default 0.0.0.0} {port, default 24401}" << std::endl;
        exit(-1);
    }

    std::string host = "0.0.0.0";
    int port = 24401;
    std::string service_id = "";
    std::string res_dir = argv[1];
    std::string license = argv[2];

    if (argc >= 4) {
        host = argv[3];
    }
    if (argc >= 5) {
        port = std::stoi(argv[4]);
    }
    if (argc >= 6) {
        service_id = argv[5];
    }


    PaddleFluidConfig config;
    config.model_dir = argv[1];
    config.thread_num = 2;
    global_controller()->set_licence_key(argv[2]);

    EdgeLogConfig log_config;
    log_config.enable_debug = false;
    global_controller()->set_log_config(log_config);

    return global_controller()->start_http_server(config, host, port, service_id, 1);
}